Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.Append Method (DatabaseEntry, Transaction)
RecnoDatabase Class See Also Send Feedback

Append the data item to the end of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public uint Append(
    	DatabaseEntry data,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Function Append ( _
    	data As DatabaseEntry, _
    	txn As Transaction _
    ) As UInteger

Visual C++
    public:
    unsigned int Append(
    	DatabaseEntry^ data,
    	Transaction^ txn
    )

#### Parameters

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data item to store in the database

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

The record number allocated to the record

# Remarks

There is a minor behavioral difference between Append(DatabaseEntry) and Append(DatabaseEntry). If a transaction enclosing an Append operation aborts, the record number may be reallocated in a subsequent Append(DatabaseEntry) operation, but it is not reallocated in a subsequent Append(DatabaseEntry) operation.

# See Also

RecnoDatabase Class
Append Overload
BerkeleyDB Namespace